#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This script pulls all results from all or a specific profiling results folder.
# ------------------------------------------------------------------------------

if [ -z "$1" ]; then
    echo "Pulling all results.."

    # Pull results from res-gpu_prof_n1.
    scp -r lumi:ectrans-dwarf/profiling/res-gpu_prof_n1/ res-gpu_prof_n1/
    scp -r lumi:ectrans-dwarf/profiling/omnitrace-ectrans-lam-benchmark-gpu-dp-acc-output/ omnitrace-ectrans-lam-benchmark-gpu-dp-acc-output/
    scp -r lumi:ectrans-dwarf/profiling/omnitrace-ectrans-lam-benchmark-gpu-dp-acc.inst-output/ omnitrace-ectrans-lam-benchmark-gpu-dp-acc.inst-output/
else
    echo "Pulling specific results $1:.."
fi
